<?php

$xhe_host = "127.0.0.1:7010";

// The following code is required to properly run XWeb Human Emulator
require("../../Templates/xweb_human_emulator.php");

// путь к файл с данными
$file_path = $debug->get_cur_script_folder()."data\\данные.xlsx";
$sheet=0;

// папка с результатом
$res_folder= $debug->get_cur_script_folder()."res\\";

// путь к капче
$inpath = $debug->get_cur_script_folder()."res\\1.jpg";

// ключ для сервиса распознавания
$apikey = "ключ сервиса антигейт";

// ////
// режим отладки
$dbg = true;
$debug_file = 'log/log_'.date("d_m_y").'.txt';

// //////////////////////// дополнительные модули ///////////////
include "tools/consumer.php";

// функции 
require_once("tools/functions.php");
// /////////////////////// скрипт ///////////////////////////////////////////
debug_mess("скрипт запустили");
 
// проверка на наличие файла
if(!$file_os->is_exist($file_path))
{
  debug_mess("ОШИБКА: Нет файла с данными!");
  $app->quit();
}

// загрузка по умолчанию
$browser->set_default_download($res_folder);
$browser->enable_download_file_dialog(false);

debug_mess("работаем с файлом ".$file_path);

$excelfile->close($file_path);
$excelfile->open($file_path);
// количество рядов
$highestRow = $excelfile->get_rows_count($file_path,$sheet);

// пройдёмся по всем рядам
for ($row = 3; $row <= $highestRow; ++$row)
{
    // получить значение ИНН из таблицы
    $value = trim($excelfile->get_cell($file_path,$sheet,$row,1));
    
    debug_mess("<b>Собираем данные для ИНН: ".$value."</b>");
    $data = get_info($value);

    if($data===false)
	{
		debug_mess("не получили данные для $value");
		continue;
	} 

    debug_mess("Пишем собранные данные для $value в файл");
	// Наименование потребителя	
	$excelfile->set_cell($file_path,$sheet,$row,2,$data->name);
    // Субъект Федерации	
	$excelfile->set_cell($file_path,$sheet,$row,3,$data->address);

	// индекс	
    $excelfile->set_cell($file_path,$sheet,$row,4,$data->zip);
        
    // Населённый пункт	
    $excelfile->set_cell($file_path,$sheet,$row,5,$data->city);

    // улица	
    $excelfile->set_cell($file_path,$sheet,$row,6,$data->street);

    // дом	
    $excelfile->set_cell($file_path,$sheet,$row,7,$data->house);
        
    // кпп	
    $excelfile->set_cell($file_path,$sheet,$row,8,$data->kpp);
    
	// код оквэд
    $excelfile->set_cell($file_path,$sheet,$row,9,$data->okved);
    $excelfile->set_cell_type($file_path,$sheet,$row,9,"Text");
    // ОКПО
    $excelfile->set_cell($file_path,$sheet,$row,10,$data->okpo);
    $excelfile->save($file_path);
}

$excelfile->close($file_path);
// $browser->enable_proxy("","socks5://127.0.0.1:9150",false);
$browser->navigate("about:blank");
 
debug_mess("скрипт закончил работу");

// Quit */
$app->quit();
?>